<div #divElement class="app-popup-container d-flex flex-column h-100" [class.body-padding]="data.bodyPadding" (resize)="resize()">

  <div class="app-popup-header d-flex align-items-center" [class.px-0]="data.bodyPadding">
    <h3 class="title flex-fill">{{data.title}}</h3>
    <button mat-icon-button class="close-btn" aria-label="Close dialog" (click)="closeDialog()">
      <mat-icon class="m-0">close</mat-icon>
    </button>
  </div>

  <div class="app-popup-content flex-fill"> <!-- [style.max-height.px]="height$ | async"0..................................................................................................................... -->
    <ng-template component-load></ng-template>
  </div>

  <div class="app-popup-footer" *ngIf="!hideFooter" [class.px-0]="data.bodyPadding">
    <ng-template #footerTemplate component-load></ng-template>
    <button mat-stroked-button color="accent"
            class="action-btn" *ngIf="!data.hideCancel" (click)="cancel()">
      {{data.cancelBtnTitle}}
    </button>
    <button mat-raised-button color="accent" class="action-btn ml-2" *ngIf="!data.hideSave" (click)="save()">
      {{data.saveBtnTitle}}
    </button>
  </div>

</div>
